Public Class FormularzPrzeglądarki
    Private Sub przyciskWybierzObraz_Click(sender As Object, e As EventArgs) Handles przyciskWybierzObraz.Click
        ' Wyświetlenie okna do otwierania pliku
        If dialogWybierzObraz.ShowDialog = DialogResult.OK Then
            ' Załadowanie obrazu do kontrolki PictureBox
            obrazPokażObraz.Image = Image.FromFile(dialogWybierzObraz.FileName)
            ' Wyświetlenie nazwy pliku w tytule formularza
            Me.Text = "Przeglądarka obrazów (" & dialogWybierzObraz.FileName & ")"

        End If
    End Sub

    Private Sub przyciskZakończ_Click(sender As Object, e As EventArgs) Handles przyciskZakończ.Click
        ' Zamknięcie okna i wyjście z aplikacji
        Me.Close()

    End Sub

    Private Sub przyciskPowiększ_Click(sender As Object, e As EventArgs) Handles przyciskPowiększ.Click
        Me.Width = Me.Width + 20
        Me.Height = Me.Height + 20

    End Sub

    Private Sub przyciskPomniejsz_Click(sender As Object, e As EventArgs) Handles przyciskPomniejsz.Click
        Me.Width = Me.Width - 20
        Me.Height = Me.Height - 20

    End Sub

   Private Sub przyciskRysujRamkę_Click(sender As Object, e As EventArgs) Handles przyciskRysujRamkę.Click
        Dim obiektGrafika As Graphics
        obiektGrafika = Me.CreateGraphics()
        obiektGrafika.Clear(SystemColors.Control)
        obiektGrafika.DrawRectangle(Pens.Blue, obrazPokażObraz.Left - 1, obrazPokażObraz.Top - 1,
                                    obrazPokażObraz.Width + 1, obrazPokażObraz.Height + 1)
        obiektGrafika.Dispose()

    End Sub
End Class
